.section	".rodata"
.align	8
l_48:	! 1000000.000000
	.long	0x0
	.long	0x412e8480
l_46:	! 4.560000
	.long	0xa3d70a3d
	.long	0x40123d70
l_44:	! 1.230000
	.long	0x7ae147ae
	.long	0x3ff3ae14
l_40:	! 0.000000
	.long	0x0
	.long	0x0
.section	".text"
inprod_17:
	cmp	%i4, 0
	bl	bge_else_59
	nop
	sll	%i4, 3, %i5
	ldd	[%i2 + %i5], %f0
	sll	%i4, 3, %i5
	ldd	[%i3 + %i5], %f2
	fmuld	%f0, %f2, %f0
	std	%f0, [%i0 + 0]
	sub	%i4, 1, %i4
	st	%o7, [%i0 + 12]
	call	inprod_17
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	ldd	[%i0 + 0], %f2
	faddd	%f2, %f0, %f0
	retl
	nop
bge_else_59:
	set	l_40, %i2
	ldd	[%i2 + 0], %f0
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	3, %i2
	set	l_44, %i3
	ldd	[%i3 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_create_float_array
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%i2, [%i0 + 0]
	set	3, %i2
	set	l_46, %i3
	ldd	[%i3 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_create_float_array
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	mov	%i2, %i3
	set	l_48, %i2
	ldd	[%i2 + 0], %f0
	std	%f0, [%i0 + 8]
	set	2, %i4
	ld	[%i0 + 0], %i2
	st	%o7, [%i0 + 20]
	call	inprod_17
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ldd	[%i0 + 8], %f2
	fmuld	%f2, %f0, %f0
	st	%o7, [%i0 + 20]
	call	min_caml_truncate
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ret
	restore
